# Kubernetes Community

Welcome to the Kubernetes community!

This is the starting point for joining and contributing to the Kubernetes community - improving docs, improving code, giving talks etc.

To learn more about the project structure and organization, please refer to [Project Governance] information.

## Communicating

The [communication](communication/) page lists communication channels like chat,
issues, mailing lists, conferences, etc.

For more specific topics, try a SIG.

## Governance

Kubernetes has three types of groups that are officially supported:

* **Committees** are named sets of people that are chartered to take on sensitive topics.
  This group is encouraged to be as open as possible while achieving its mission but, because of the nature of the topics discussed, private communications are allowed.
  Examples of committees include the steering committee and things like security or code of conduct.
* **Special Interest Groups (SIGs)** are persistent open groups that focus on a part of the project.
  SIGs must have open and transparent proceedings.
  Anyone is welcome to participate and contribute provided they follow the Kubernetes Code of Conduct.
  The purpose of a SIG is to own and develop a set of **subprojects**.
  * **Subprojects** Each SIG can have a set of subprojects.
    These are smaller groups that can work independently.
    Some subprojects will be part of the main Kubernetes deliverables while others will be more speculative and live in the `kubernetes-sigs` github org.
* **Working Groups** are temporary groups that are formed to address issues that cross SIG boundaries.
  Working groups do not own any code or other long term artifacts.
  Working groups can report back and act through involved SIGs.

See the [full governance doc](governance.md) for more details on these groups.

A SIG can have its own policy for contribution, described in a `README` or `CONTRIBUTING` file in the SIG folder in this repo (e.g. [sig-cli/CONTRIBUTING.md](sig-cli/CONTRIBUTING.md)), and its own mailing list, slack channel, etc.

If you want to edit details about a SIG (e.g. its weekly meeting time or its leads),
please follow [these instructions](./generator) that detail how our docs are auto-generated.

## Learn to Build

Links in [contributors/devel/README.md](contributors/devel/README.md)
lead to many relevant technical topics.

## Contribute

A first step to contributing is to pick from the [list of kubernetes SIGs](sig-list.md).
Start attending SIG meetings, join the slack channel and subscribe to the mailing list.
SIGs will often have a set of "help wanted" issues that can help new contributors get involved.

The [Contributor Guide](contributors/guide/README.md) provides detailed instruction on how to get your ideas and bug fixes seen and accepted, including:
1. How to [file an issue]
1. How to [find something to work on]
1. How to [open a pull request]

## Membership

We encourage all contributors to become members. We aim to grow an active, healthy community of contributors, reviewers, and code owners. Learn more about requirements and responsibilities of membership in our [Community Membership] page.

[Project Governance]:/governance.md
[Developer's Guide]: contributors/devel/development.md
[Contributor Guide]:
contributors/guide/README.md
[file an issue]:
/contributors/guide/README.md#file-an-issue
[find something to work on]:
contributors/guide/README.md#find-something-to-work-on
[open a pull request]:
contributors/guide/README.md#open-a-pull-request
[Community Membership]:/community-membership.md

![Analytics](https://kubernetes-site.appspot.com/UA-36037335-10/GitHub/CONTRIBUTING.md?pixel)
