# Bootstrapping Document for Kubernetes Code of Conduct Committee

This document (created by the Kubernetes Steering Committee) outlines what the Code of Conduct Committee (CoCC) is responsible for, how to create it, and the rough processes for them to get started.

## Objectives of the CoCC
* Maintain the Code of Conduct (CoC) document and iterate as needed.
  * All CoC revisions must be approved by the Steering Committee.
  * Currently, we use the CNCF CoC. Any addendums or changes based off learnings in the Kubernetes community should be owned by this body of people, the Kubernetes Code of Conduct Committee (CoCC).
* Determine and make transparent how CoC issues and incidents are reported and handled in the community.
* Enforce the Code of Conduct within the Kubernetes community.
  * Discuss with parties affected
  * Come up with resolution
  * For moderation on a day-to-day basis, work with the existing community-management subproject under SIG Contributor Experience
* Figure out how to keep and then keep a record of CoC reports and outcomes for precedent _This is something we are still actively discussing on how to do and is not fully hardened._

## Formation of the Code of Conduct Committee (CoCC):
* The CoCC consists of 5 members. In the first election, the top 3 voted people will be appointed 2 year terms and the other 2 members will be appointed for a 1 year term.
  * CoCC members appointed for a 1 year term may be elected again the following year.
  * The Steering Committee and SIG Chairs are eligible to nominate people for the Code of Conduct Committee (CoCC). _This may change during the next election._
  * The Steering Committee votes on nominees for the CoCC
* Characteristics and Guidance for nominating people for the CoCC:
  * Do not have to be part of the Kubernetes or CNCF community
  * Previous experience on an Ethics Committee or Code of Conduct Committee is appreciated
  * Has demonstrated integrity, professionalism, and positive influence within the community
  * Experience with the tools which we use to communicate (Zoom, Slack, GitHub, etc.) within the Kubernetes community is appreciated
  * Is generally a responsible human
* The members of the Code of Conduct Committee (CoCC) will be public so the people who report CoC issues know exactly who they are working with.

## Upon appointment, the CoCC will:
* Review the current Code of Conduct and propose revisions or addendums if necessary.
  * There is already work being done around making the CoC more enforceable, so this work will be carried forward in the CoCC.
* Add an addendum to the CoC with instructions on how to contact the CoCC
* Be briefed on past and current code of conduct issues within the Kubernetes community by people who have been dealing with these issues thus far
* Revisit how code of conduct issues are reported and escalated and ensure these processes are visible and known to the community
* Determine how they envision their process going forward. The Steering Committee will make the recommendation to the Code of Conduct Committee that they have a standing hour long meeting every other week for the first twelve months after they are appointed, but the CoCC can figure out what works for them.
* Propose a method for electing/appointing future members of the committee to the Steering Committee if they choose.
