#  Doug Davis

- Github: [@duglin](https://github.com/duglin)
- Works for: IBM

## Background

I've been working on open source projects, and standards, for about 17 years,
starting with being a co-initiator of the Apache Axis project; working on
WS-* related projects and specifications, OpenStack, CloudFoundry, Docker
and now Kubernetes, including as a co-lead of the Service-Catalog Incubator.
I also founded the Web Services Testing Forum, a consortium of Web Service
providers and consumers designed for interop testing of SOAP/WS-*
specifications, as well as the [soaphub](http://soaphub.org) on-line
collaboration chat tool used by several communities.

Throughout this time the importance of an open, fair and streamlined
collaboration process has really been a center piece of my activities and
goals for these projects.

## Steering Committee

The stated scope of the Steering Committee focuses on helping the
Kubernetes community define and optimize many of the (sometimes less than
glamorous, but necessary) processes and infrastructure that's critical
to keeping a community like Kubernetes healthy and successful.

Kubernetes, as one of the fastest growing OSS projects, needs to navigate
and manage the complexities associated with this explosive growth very
carefully. The importance of balancing the need for continued enhancements,
managing stability of the code base, all while ensuring the community of
developers and users feel their contributions (from code, issues and feedback)
are welcome, respected and addressed in a timely fashion can not
be understated. This will require people who can consider the challenges
from multiple perspective, not just from a developer's. 

I believe that my background in the open communities I've been involved with
have given me a good perspective on what works, what doesn't and which might
be best for an organization like Kubernetes.

