<!---
This is an autogenerated file!

Please do not edit this file directly, but instead make changes to the
sigs.yaml file in the project root.

To understand how this file is generated, see https://git.k8s.io/community/generator/README.md
--->
# Scalability Special Interest Group

Responsible for answering scalability related questions such as:
What size clusters do we think that we should support with Kubernetes in the short to medium term? How performant do we think that the control system should be at scale? What resource overhead should the Kubernetes control system reasonably consume?
For more details about our objectives please review our [Scaling And Performance Goals](https://git.k8s.io/community/sig-scalability/goals.md)

## Meetings
* Regular SIG Meeting: [Thursdays at 16:30 UTC](https://docs.google.com/document/d/1FQx0BPlkkl1Bn0c9ocVBxYIKojpmrS1CFP5h0DI68AE/edit) (bi-weekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=16:30&tz=UTC).
  * [Meeting notes and Agenda](https://docs.google.com/a/bobsplanet.com/document/d/1hEpf25qifVWztaeZPFmjNiJvPo-5JX1z0LSvvVY5G2g/edit?usp=drive_web).
  * [Meeting recordings](https://www.youtube.com/watch?v=NDP1uYyom28&list=PL69nYSiGNLP2X-hzNTqyELU6jYS3p10uL).

## Leadership

### Chairs
The Chairs of the SIG run operations and processes governing the SIG.

* Wojciech Tyczynski (**[@wojtek-t](https://github.com/wojtek-t)**), Google
* Bob Wise (**[@countspongebob](https://github.com/countspongebob)**), AWS

## Contact
* [Slack](https://kubernetes.slack.com/messages/sig-scalability)
* [Mailing list](https://groups.google.com/forum/#!forum/kubernetes-sig-scale)
* [Open Community Issues/PRs](https://github.com/kubernetes/community/labels/sig%2Fscalability)

## Subprojects

The following subprojects are owned by sig-scalability:
- **kubemark**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes/kubernetes/master/cmd/kubemark/OWNERS
    - https://raw.githubusercontent.com/kubernetes/kubernetes/master/pkg/kubemark/OWNERS
- **perf-tests**
  - Owners:
    - https://raw.githubusercontent.com/kubernetes/perf-tests/master/OWNERS

## GitHub Teams

The below teams can be mentioned on issues and PRs in order to get attention from the right people.
Note that the links to display team membership will only work if you are a member of the org.

| Team Name | Details | Description |
| --------- |:-------:| ----------- |
| @kubernetes/sig-scalability-api-reviews | [link](https://github.com/orgs/kubernetes/teams/sig-scalability-api-reviews) | API Changes and Reviews |
| @kubernetes/sig-scalability-bugs | [link](https://github.com/orgs/kubernetes/teams/sig-scalability-bugs) | Bug Triage and Troubleshooting |
| @kubernetes/sig-scalability-feature-requests | [link](https://github.com/orgs/kubernetes/teams/sig-scalability-feature-requests) | Feature Requests |
| @kubernetes/sig-scalability-misc | [link](https://github.com/orgs/kubernetes/teams/sig-scalability-misc) | General Discussion |
| @kubernetes/sig-scalability-pr-reviews | [link](https://github.com/orgs/kubernetes/teams/sig-scalability-pr-reviews) | PR Reviews |
| @kubernetes/sig-scalability-proprosals | [link](https://github.com/orgs/kubernetes/teams/sig-scalability-proprosals) | Design Proposals |
| @kubernetes/sig-scalability-test-failures | [link](https://github.com/orgs/kubernetes/teams/sig-scalability-test-failures) | Test Failures and Triage |

<!-- BEGIN CUSTOM CONTENT -->
## Upcoming 2018 Meeting Dates
   * 6/7
   * 6/21
   * 7/5
   * 7/19
   * 8/2
   * 8/16
   * 8/30
   * 9/13
   * 9/27

## Scalability/performance SLIs and SLOs

Check out [SLIs/SLOs page](./slos/slos.md).
<!-- END CUSTOM CONTENT -->
